Record Deposit Wallet Activity (By Public Keys)
curl --request POST \
--url https://api.hel.io/v1/deposit-wallet/activity \
--header 'Content-Type: application/json' \
--data '
{
"wallets": [
"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW"
]
}
'import requests
url = "https://api.hel.io/v1/deposit-wallet/activity"
payload = { "wallets": ["7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW"] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({wallets: ['7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW']})
};
fetch('https://api.hel.io/v1/deposit-wallet/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hel.io/v1/deposit-wallet/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'wallets' => [
'7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hel.io/v1/deposit-wallet/activity"
payload := strings.NewReader("{\n \"wallets\": [\n \"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hel.io/v1/deposit-wallet/activity")
.header("Content-Type", "application/json")
.body("{\n \"wallets\": [\n \"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hel.io/v1/deposit-wallet/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"wallets\": [\n \"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW\"\n ]\n}"
response = http.request(request)
puts response.read_bodyWallet Activity
Record Deposit Wallet Activity (By Public Keys)
Call this endpoint when you display specific deposit wallet addresses (public keys) in your UI. Pass each wallet’s public key in the request body so we can increase balance polling and detect incoming payments more quickly.
POST
/
v1
/
deposit-wallet
/
activity
Record Deposit Wallet Activity (By Public Keys)
curl --request POST \
--url https://api.hel.io/v1/deposit-wallet/activity \
--header 'Content-Type: application/json' \
--data '
{
"wallets": [
"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW"
]
}
'import requests
url = "https://api.hel.io/v1/deposit-wallet/activity"
payload = { "wallets": ["7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW"] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({wallets: ['7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW']})
};
fetch('https://api.hel.io/v1/deposit-wallet/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hel.io/v1/deposit-wallet/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'wallets' => [
'7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hel.io/v1/deposit-wallet/activity"
payload := strings.NewReader("{\n \"wallets\": [\n \"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hel.io/v1/deposit-wallet/activity")
.header("Content-Type", "application/json")
.body("{\n \"wallets\": [\n \"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hel.io/v1/deposit-wallet/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"wallets\": [\n \"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW\"\n ]\n}"
response = http.request(request)
puts response.read_bodyUse this route when you have wallet public keys but are not using the customer deposit token flow. If you identify the customer by token and want all of their wallets marked active at once, use Record Deposit Wallet Activity (By Token) instead.
Body
application/json
Deposit wallet public keys (addresses) to mark as active.
Minimum array length:
1Response
The request was accepted and activity updates were applied for each resolvable wallet. No response body is returned.
